Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.xni
Class XMLString

    java.lang.Object
      weblogic.apache.xerces.xni.XMLString

Direct Known Subclasses:
  XMLStringBuffer

Deprecated. please use JDK supplied XML parsers and transformers

public class XMLString
extends Object

This class is used as a structure to pass text contained in the underlying character buffer of the scanner. The offset and length fields allow the buffer to be re-used without creating new character arrays.

Note: Methods that are passed an XMLString structure should consider the contents read-only and not make any modifications to the contents of the buffer. The method receiving this structure should also not modify the offset and length if this structure (or the values of this structure) are passed to another method.

Note: Methods that are passed an XMLString structure are required to copy the information out of the buffer if it is to be saved for use beyond the scope of the method. The contents of the structure are volatile and the contents of the character buffer cannot be assured once the method that is passed this structure returns. Therefore, methods passed this structure should not save any reference to the structure or the character array contained in the structure.

Field Summary
`char[]` | `ch` Deprecated. The character array.
`int` | `length` Deprecated. The length of characters from the offset.
`int` | `offset` Deprecated. The offset into the character array.

Constructor Summary
`XMLString()` Deprecated. Default constructor.
`XMLString(char[] ch, int offset, int length)` Deprecated. Constructs an XMLString structure preset with the specified values.
`XMLString(XMLString string)` Deprecated. Constructs an XMLString structure with copies of the values in the given structure.

Method Summary
`void` | `clear()` Deprecated. Resets all of the values to their defaults.
`boolean` | `equals(char[] ch, int offset, int length)` Deprecated. Returns true if the contents of this XMLString structure and the specified array are equal.
`boolean` | `equals(String s)` Deprecated. Returns true if the contents of this XMLString structure and the specified string are equal.
`void` | `setValues(char[] ch, int offset, int length)` Deprecated. Initializes the contents of the XMLString structure with the specified values.
`void` | `setValues(XMLString s)` Deprecated. Initializes the contents of the XMLString structure with copies of the given string structure.
`String` | `toString()` Deprecated. Returns a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ch

    public char[] ch

  Deprecated.
  The character array.

### length

    public int length

  Deprecated.
  The length of characters from the offset.

### offset

    public int offset

  Deprecated.
  The offset into the character array.

Constructor Detail

### XMLString

    public XMLString()

  Deprecated.
  Default constructor.

### XMLString

    public XMLString(char[] ch,
                     int offset,
                     int length)

  Deprecated.
  Constructs an XMLString structure preset with the specified values.

### XMLString

    public XMLString(XMLString string)

  Deprecated.
  Constructs an XMLString structure with copies of the values in the given structure.

  Note: This does not copy the character array; only the reference to the array is copied.

Method Detail

### clear

    public void clear()

  Deprecated.
  Resets all of the values to their defaults.

### equals

    public boolean equals(char[] ch,
                          int offset,
                          int length)

  Deprecated.
  Returns true if the contents of this XMLString structure and the specified array are equal.

  Parameters:
    `ch` - The character array.
    `offset` - The offset into the character array.
    `length` - The length of characters from the offset.

### equals

    public boolean equals(String s)

  Deprecated.
  Returns true if the contents of this XMLString structure and the specified string are equal.

  Parameters:
    `s` - The string to compare.

### setValues

    public void setValues(char[] ch,
                          int offset,
                          int length)

  Deprecated.
  Initializes the contents of the XMLString structure with the specified values.

  Parameters:
    `ch` - The character array.
    `offset` - The offset into the character array.
    `length` - The length of characters from the offset.

### setValues

    public void setValues(XMLString s)

  Deprecated.
  Initializes the contents of the XMLString structure with copies of the given string structure.

  Note: This does not copy the character array; only the reference to the array is copied.

  Parameters:
    `s` -

### toString

    public String toString()

  Deprecated.
  Returns a string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD